Package twisted :: Package spread :: Module util :: Class StringPager |
[frames | no frames]

## Class StringPager

    Pager --+
            |
           StringPager

A simple pager that splits a string into chunks.

Method Summary
| `__init__(self, collector, st, chunkSize, callback, *args, **kw)`
| ``nextPage`(self)` Override this to return an object to be sent to my collector.
Inherited from Pager
| ``sendNextPage`(self)` (internal) Method called by Broker.
| ``stillPaging`(self)` (internal) Method called by Broker.
| ``stopPaging`(self)` Call this when you're done paging.

Method Details

### nextPage(self) Override this to return an object to be sent to my collector. Overrides: `twisted.spread.util.Pager.nextPage` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:50 2003 | http://epydoc.sf.net